package com.gamedog.vididin.router

import android.app.Activity
import com.gamedog.vididin.features.feedback.FeedbackActivity
import com.gamedog.vididin.features.privacy.PrivacyActivity
import com.gamedog.vididin.features.splash.SplashActivity
import com.gamedog.vididin.features.version.VersionActivity
import com.gamedog.vididin.features.watchad.WatchAdActivity
import com.gamedog.vididin.features.withdrawrecord.WithdrawRecordActivity


class DefaultPrivacyRouter: IRouterPrivacy {
    override fun startActivity(activity: Activity) {
        PrivacyActivity.Companion.startActivity(activity)
    }
}

class DefaultSplashRouter: IRouterSplash {
    override fun startActivity(activity: Activity) {
        SplashActivity.Companion.startActivity(activity)
    }
}

class DefaultWithdrawRecordRouter: IRouterWithdrawRecord {
    override fun startActivity(activity: Activity) {
        WithdrawRecordActivity.Companion.startActivity(activity)
    }
}

class DefaultFeedbackRouter: IRouterFeedback {
    override fun startActivity(activity: Activity) {
        FeedbackActivity.Companion.startActivity(activity)
    }
}

class DefaultVersionRouter: IRouterVersion {
    override fun startActivity(activity: Activity) {
        VersionActivity.Companion.startActivity(activity)
    }
}


class DefaultWatchAdRouter: IRouterWatchAd {
    override fun startActivity(activity: Activity, taskType: Int, taskDataJson: String?) {
        WatchAdActivity.Companion.startActivity(activity, taskType, taskDataJson)
    }
}
